<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:tools="http://schemas.android.com/tools"
	xmlns:android="http://schemas.android.com/apk/res/android">

	<uses-feature
		android:name="android.software.leanback"
		android:required="false" />
	<uses-feature
		android:name="android.hardware.touchscreen"
		android:required="false" />

	<application
		android:name=".DemoApp"
		android:allowBackup="true"
		android:icon="@mipmap/ic_launcher"
		android:label="Castlabs Demos"
		android:supportsRtl="true"
		android:theme="@style/AppTheme"
		android:usesCleartextTraffic="true"
		tools:targetApi="lollipop">

		<!-- This is for debugging purposes only to be able to load content from http on >= Android 9 -->
		<activity
			android:name=".MainActivity"
			android:exported="true">
			<intent-filter>
				<action android:name="android.intent.action.MAIN" />

				<category android:name="android.intent.category.LEANBACK_LAUNCHER" />
				<category android:name="android.intent.category.LAUNCHER" />
			</intent-filter>
		</activity>

		<activity
			android:name=".SimplePlaybackDemo"
			android:configChanges="orientation|keyboardHidden|screenSize"
			android:label="Playback Demo"
			android:parentActivityName=".MainActivity"
			android:theme="@style/PlayerTheme">
			<meta-data
				android:name="android.support.PARENT_ACTIVITY"
				android:value="com.castlabs.sdk.demos.MainActivity" />
		</activity>
		<activity
			android:name=".IPTVClearPlayback"
			android:configChanges="orientation|keyboardHidden|screenSize"
			android:label="Playback Demo"
			android:theme="@style/PlayerTheme"
			android:parentActivityName=".MainActivity">
			<meta-data
				android:name="android.support.PARENT_ACTIVITY"
				android:value="com.castlabs.sdk.demos.MainActivity"/>
		</activity>
		<activity
			android:name=".TrickplaySettingsPlaybackDemo"
			android:configChanges="orientation|keyboardHidden|screenSize"
			android:label="Playback Demo"
			android:parentActivityName=".MainActivity"
			android:theme="@style/PlayerTheme">
			<meta-data
				android:name="android.support.PARENT_ACTIVITY"
				android:value="com.castlabs.sdk.demos.MainActivity" />
		</activity>
		<activity
			android:name=".AbrPlaybackDemo"
			android:configChanges="keyboardHidden|screenSize"
			android:label="Playback Demo"
			android:parentActivityName=".MainActivity"
			android:theme="@style/PlayerTheme">
			<meta-data
				android:name="android.support.PARENT_ACTIVITY"
				android:value="com.castlabs.sdk.demos.MainActivity" />
		</activity>
		<activity
			android:name=".PlaybackWithSurfaceDemo"
			android:configChanges="orientation|keyboardHidden|screenSize"
			android:label="Playback Demo"
			android:parentActivityName=".MainActivity"
			android:theme="@style/PlayerTheme">
			<meta-data
				android:name="android.support.PARENT_ACTIVITY"
				android:value="com.castlabs.sdk.demos.MainActivity" />
		</activity>
		<activity
			android:name=".SimplePlayServiceDemo"
			android:configChanges="orientation|keyboardHidden|screenSize"
			android:label="Playback Demo"
			android:parentActivityName=".MainActivity"
			android:theme="@style/PlayerTheme">
			<meta-data
				android:name="android.support.PARENT_ACTIVITY"
				android:value="com.castlabs.sdk.demos.MainActivity" />
		</activity>
		<activity
			android:name=".PlaylistPlaybackDemo"
			android:configChanges="orientation|keyboardHidden|screenSize"
			android:label="Playback Demo"
			android:parentActivityName=".MainActivity"
			android:theme="@style/PlayerTheme">
			<meta-data
				android:name="android.support.PARENT_ACTIVITY"
				android:value="com.castlabs.sdk.demos.MainActivity" />
		</activity>
		<activity
			android:name=".ConcatenatingPlaybackDemo"
			android:configChanges="orientation|keyboardHidden|screenSize"
			android:label="Playback Demo"
			android:parentActivityName=".MainActivity"
			android:theme="@style/PlayerTheme">
			<meta-data
				android:name="android.support.PARENT_ACTIVITY"
				android:value="com.castlabs.sdk.demos.MainActivity" />
		</activity>
		<activity
			android:name=".TwinPlayerDemo"
			android:configChanges="orientation|keyboardHidden|screenSize"
			android:label="Playback Demo"
			android:parentActivityName=".MainActivity"
			android:theme="@style/PlayerTheme">
			<meta-data
				android:name="android.support.PARENT_ACTIVITY"
				android:value="com.castlabs.sdk.demos.MainActivity" />
		</activity>
		<activity
			android:name=".DebugPluginActivity"
			android:exported="false"
			android:configChanges="orientation|keyboardHidden|screenSize"
			android:label="Debug Plugin Demo"
			android:parentActivityName=".MainActivity"
			android:theme="@style/PlayerTheme">
			<meta-data
				android:name="android.support.PARENT_ACTIVITY"
				android:value="com.castlabs.sdk.demos.MainActivity" />
		</activity>
		<meta-data
			android:name="castlabs-license"
			android:value="${castlabsLicense}" />
	</application>

	<uses-permission android:name="android.permission.FOREGROUND_SERVICE" />

</manifest>
